_RtpSession Struct Reference

`#include <rtpsession.h>`

## Data Fields

RtpSession * | next
int | mask_pos
struct {
RtpProfile * profile
int pt
unsigned int ssrc
WaitPoint wp
int telephone_events_pt
} | snd
struct {
RtpProfile * profile
int pt
unsigned int ssrc
WaitPoint wp
int telephone_events_pt
} | rcv
unsigned int | inc_ssrc_candidate
int | inc_same_ssrc_count
int | hw_recv_pt
int | recv_buf_size
RtpSignalTable | on_ssrc_changed
RtpSignalTable | on_payload_type_changed
RtpSignalTable | on_telephone_event_packet
RtpSignalTable | on_telephone_event
RtpSignalTable | on_timestamp_jump
RtpSignalTable | on_network_error
RtpSignalTable | on_rtcp_bye
struct _OList * | signal_tables
struct _OList * | eventqs
msgb_allocator_t | allocator
RtpStream | rtp
RtcpStream | rtcp
RtpSessionMode | mode
struct _RtpScheduler * | sched
uint32_t | flags
int | dscp
int | multicast_ttl
int | multicast_loopback
void * | user_data
struct timeval | last_recv_time
mblk_t * | pending
mblk_t * | current_tev
mblk_t * | sd
queue_t | contributing_sources
bool_t | symmetric_rtp
bool_t | permissive
bool_t | use_connect
bool_t | ssrc_set

## Detailed Description

An object representing a bi-directional RTP session. It holds sockets, jitter buffer, various counters (timestamp, sequence numbers...) Applications SHOULD NOT try to read things within the RtpSession object but use instead its public API (the rtp_session_* methods) where RtpSession is used as a pointer. rtp_session_new() allocates and initialize a RtpSession.

The documentation for this struct was generated from the following file:

- include/ortp/rtpsession.h